Skip to main content
GET
/
api
/
indicators
/
library
Browse curated indicator library with filters
curl --request GET \
  --url https://macrobymark.com/api/indicators/library \
  --header 'X-API-Key: <api-key>'
{
  "generatedAt": "2023-11-07T05:31:56Z",
  "count": 123,
  "filters": {},
  "summaryCounts": {},
  "summaries": [
    {
      "slug": "<string>",
      "name": "<string>",
      "source": "<string>",
      "sourceId": "<string>",
      "category": "<string>",
      "frequency": "<string>",
      "unit": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.macrobymark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

slugs
string

Comma-separated slugs

source
string

Provider source filter

category
string
starter
boolean
scope
string
country
string
q
string

Response

200 - application/json

Library results

generatedAt
string<date-time>
count
integer
filters
object
summaryCounts
object
summaries
object[]